SYSTEMD-VCONSOLE-SETUP.SERVICE(8)

NAME
systemd-vconsole-setup.service, systemd-vconsole-setup - Configure the virtual consoles

SYNOPSIS

systemd-vconsole-setup.service

/usr/lib/systemd/systemd-vconsole-setup [TTY]

DESCRIPTION

systemd-vconsole-setup sets up and configures either all virtual consoles, or — if the optional TTY parameter is provided — a specific one. When the system is booting up, it's called by systemd-udevd(8) during VT console subsystem initialization. Also, systemd-localed.service(8) invokes it as needed when language or console changes are made. Internally, this program calls loadkeys(1) and setfont(8).

Execute systemctl restart systemd-vconsole-setup.service in order to apply any manual changes made to /etc/vconsole.conf.

See vconsole.conf(5) for information about the configuration files and kernel command line options understood by this program.

SEE ALSO

systemd(1), vconsole.conf(5), loadkeys(1), setfont(8), systemd-localed.service(8)